Opened 9 years ago

Closed 9 years ago

#1350 closed defect (fixed in unstable)

fsoaudiod attempts to install config file 'asound.conf' which is also owned by alsa-state

Reported by: Quix0r Owned by: mrmoku
Priority: major Milestone:
Component: SHR Image Version: SHR-unstable
Keywords: Cc:

Description

The mentioned package 'fsoaudiod' fails to update because of a conflicting configuration file. See output below for details.

Upgrading fsoaudiod on root from 1:0.9.5+gitr1+8c7a3c536e314e8787afd87f054ea72cf002a7d9-r5.0.6 to 2:0.1.0+gitr3+692ce7ce2e5447c45ff51d629d7c8a84a919036c-r5.1.6...
Downloading http://build.shr-project.org/shr-unstable/ipk//armv4t/fsoaudiod_0.1.0+gitr3+692ce7ce2e5447c45ff51d629d7c8a84a919036c-r5.1.6_armv4t.ipk.
Collected errors:
 * check_data_file_clashes: Package fsoaudiod wants to install file /etc/asound.conf
        But that file is already provided by package  * alsa-state
 * opkg_install_cmd: Cannot install package fsoaudiod.

Change History (4)

comment:1 Changed 9 years ago by jama

which package is depending on alsa-state for you? It's not installed in image by default.

opkg remove alsa-state should show what's depending on it

comment:2 Changed 9 years ago by Quix0r

Here it is task-base-alsa.

comment:3 Changed 9 years ago by jama

and what depends on task-base-alsa?

comment:4 Changed 9 years ago by jama

  • Resolution set to fixed in unstable
  • Status changed from new to closed

task-base-alsa only recommends it (by default installed automatically), but allows you to remove alsa-state

so should be fixed by:
http://git.openembedded.org/cgit.cgi/openembedded/commit/?id=61f9ea42230d9b0734827f9c56512b5196861b86

Note: See TracTickets for help on using tickets.